/* SPDX-License-Identifier: GPL-2.0
 ****************************************************************************
 * Driver for Xilinx network controllers and boards
 * Copyright 2021 Xilinx Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 */

#ifndef EFCT_EVQ_H
#define EFCT_EVQ_H
#include "efct_driver.h"

int efct_init_napi(struct efct_nic *efct);
void efct_finish_napi(struct efct_nic *efct);
void efct_disable_napi(struct efct_ev_queue *evq);
void efct_enable_napi(struct efct_ev_queue *evq);
void efct_synchronize_napi(struct efct_ev_queue *evq);
void  efct_write_evt_prime(struct efct_nic *efct, u32 id, u16 seq);
int efct_realloc_rx_evqs(struct efct_nic *efct, u32 num_entries);
bool efct_nic_event_present(struct efct_ev_queue *evq);
int efct_nic_event_test_irq_cpu(struct efct_ev_queue *evq);
#endif
